DRM_MM_REPLACE_NODE(9)

NAME
drm_mm_replace_node - move an allocation from old to new

SYNOPSIS

void drm_mm_replace_node(struct drm_mm_node * old, struct drm_mm_node * new);

ARGUMENTS

old
    drm_mm_node to remove from the allocator

new
    drm_mm_node which should inherit old's allocation

DESCRIPTION

This is useful for when drivers embed the drm_mm_node structure and hence can't move allocations by reassigning pointers. It's a combination of remove and insert with the guarantee that the allocation start will match.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT